Name:          qoauth
Summary:       Qt-based C++ library for OAuth authorization scheme
Group:         Graphical desktop/KDE
Version:       1.0.1
Release:       %mkrel 6
License:       LGPLv2+
URL:           http://github.com/ayoy/qoauth
Source0:       http://files.ayoy.net/qoauth/release/%version/src/%{name}-%{version}-src.tar.bz2
BuildRequires: qt4-devel
BuildRequires: qca2-devel
BuildRequires: doxygen

%description 
QOAuth is an attempt to support interaction with OAuth-powered network 
services in a Qt way, i.e. simply, clearly and efficiently. It gives 
the application developer no more than 4 methods, namely:

* requestToken() to obtain an unauthorized Request Token,
* accessToken() to exchange Request Token for the Access Token,
* createParametersString() to construct a request according to OAuth
  authorization scheme,
* inlineParemeters() - to construct a query string basing on given 
  parameters (provided only for convenience).

#-----------------------------------------------------------------------------   
%define qoauth_major 1
%define libqoauth %mklibname qoauth %qoauth_major

%package -n %libqoauth
Summary: %name core library
Group: System/Libraries
Requires: qca2-plugin-openssl

%description -n %libqoauth
%name core library.

%files -n %libqoauth
%defattr(-,root,root)
%_libdir/libqoauth.so.%{qoauth_major}*

#-----------------------------------------------------------------------------

%define develname %mklibname qoauth -d

%package -n %develname
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libqoauth = %version-%release
Provides: qoauth-devel = %version-%release
Provides: libqoauth-devel = %version-%release
Obsoletes: qoauth-devel < 1.0.1-4

%description -n %develname
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %develname
%defattr(-,root,root)
%doc doc/html doc/examples
%_includedir/QtOAuth
%_libdir/libqoauth.prl
%_libdir/libqoauth.so
%_libdir/pkgconfig/qoauth.pc
%qt4dir/mkspecs/features/oauth.prf

#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-src

sed -i -e 's\/lib\/%{_lib}\g' src/pcfile.sh

%build
%qmake_qt4
%make

doxygen Doxyfile

%install
rm -rf %buildroot

make install INSTALL="install -p" INSTALL_ROOT=%{buildroot}

# fix the time stamp
for file in doc/html/*; do
     touch -r Doxyfile $file
done

%check
make check || :

%clean
rm -fr %buildroot


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-6.mga4
+ Revision: 517872
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-5.mga3
+ Revision: 379862
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 27 2011 ahmad <ahmad> 1.0.1-4.mga2
+ Revision: 114927
- libify the devel package (and add some more provides)
- Correct the License tag
- Move the doxygen building to %%build

* Wed Feb 16 2011 mikala <mikala> 1.0.1-3.mga1
+ Revision: 52105
- Remove BuildRoot
- imported package qoauth


* Fri Jan 28 2011 Sergio Rafael Lemke <sergio@mandriva.com> 1.0.1-3mdv2011.0
+ Revision: 633706
- bump release to make choqok and other buildable

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2011.0
+ Revision: 571482
- move requires into lib package as there is no main package generated.
- correct url and license
- use standard prefix as qt has nothing to do with kde's prefix

* Sat Aug 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.1-1mdv2011.0
+ Revision: 569811
- Fix file list
- import qoauth


